%define	name	liferea
%define	epoch	1
%define version 1.2.8
%define release %mkrel 1

Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
License:	GPL
Group:		Networking/News
URL:		http://liferea.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://prdownloads.sourceforge.net/liferea/%{name}-%{version}.tar.bz2
Patch: liferea-1.1.5-prototypes.patch
Patch1:	liferea-1.1.0-firefox-detect.patch
Patch2: liferea-1.1.5-planetmandriva.patch
BuildRequires:	dbus-glib-devel
BuildRequires:	gtkhtml2-devel 
BuildRequires:	gtk+2-devel
BuildRequires:	gnome-vfs2-devel mozilla-firefox-devel ImageMagick
BuildRequires:	libnotify-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgnutls-devel
#BuildRequires:	liblua-devel
BuildRequires:	libsm-devel
BuildRequires:	desktop-file-utils
Requires:	libmozilla-firefox = %(rpm -q --queryformat %{VERSION} mozilla-firefox)

%description
Liferea (abbreviation of Linux Feed Reader) is a news aggregator for
RSS/RDF feeds which also supports CDF channels, Atom/Echo/PIE feeds
and OCS or OPML directories. It is a simple FeedReader clone for Unix.

%prep
%setup -q -n %name-%version
%patch -p1 -b .prototypes
%patch2 -p1 -b .planetmandriva
%if %mdkversion <= 200700
%patch1 -p1 -b .firefox-detect
autoconf
%endif
perl -pi -e "s^/usr/lib^%_libdir^" src/liferea.in

%build
%if %mdkversion <= 1000
%define __libtoolize true
%define __cputoolize true
%endif
#gw else it does not build with ff 1.5
export CXX="g++ -DMOZILLA_INTERNAL_API"
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# menu entry
%__mkdir_p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/liferea" \
 icon="%{name}.png" \
 longtitle="News aggregator simulating FeedReader" \
 needs="x11" \
 section="Internet/News" \
 title="Liferea" \
 startup_notify="true" xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
%__mkdir_p %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_liconsdir}
%__install -D -m 644       pixmaps/liferea.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/liferea.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 pixmaps/liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%update_menus
%post_install_gconf_schemas %name
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/liferea.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%exclude %{_libdir}/%{name}/*.la
%_mandir/man1/*
%lang(pl) %_mandir/pl/man1/liferea.1*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 1.2.8-1mdv2007.1
+ Revision: 146400
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.7-1mdv2007.1
+ Revision: 134089
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.6-2mdv2007.1
+ Revision: 126290
- rebuild for new firefox

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.6-1mdv2007.1
+ Revision: 118703
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.4-1mdv2007.1
+ Revision: 112076
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.3-1mdv2007.1
+ Revision: 111610
- new version

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.0-2mdv2007.1
+ Revision: 106106
- rebuild

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1:1.2.0-1mdv2007.1
+ Revision: 98387
- new version

* Sat Dec 09 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC4.1mdv2007.1
+ Revision: 94162
- new version

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC3.2mdv2007.1
+ Revision: 92022
- take out the trash
- disable firefox detection patch on Cooker

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC3.1mdv2007.1
+ Revision: 87343
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC2.2mdv2007.1
+ Revision: 85846
- bot rebuild
- new version

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC1.2mdv2007.0
+ Revision: 82973
- fix deps (bug #27117)

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-0.RC1.1mdv2007.1
+ Revision: 81027
- new version
- fix firefox dep

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.9-2mdv2007.1
+ Revision: 79217
- rebuild for new firefox

* Sat Nov 04 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.9-1mdv2007.1
+ Revision: 76476
- new version
- drop patch 3

* Tue Oct 31 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.8-1mdv2007.1
+ Revision: 74781
- new version
- patch to fix build

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-5mdv2007.1
+ Revision: 72590
- add missing buildrequires

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-4mdv2007.1
+ Revision: 72494
- new version 1.1.7d

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-3mdv2007.1
+ Revision: 72493
- new version

* Mon Oct 23 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-2mdv2007.0
+ Revision: 71945
- new version 1.1.7b

* Sun Oct 22 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-1mdv2007.0
+ Revision: 71680
- fix previous commit
- new version 1.1.7b
  unpack patches
- Import liferea



* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.7-1mdv2007.1
- New version 1.1.7

* Tue Oct 03 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.6-1mdv2007.0
- New version 1.1.6

* Thu Sep 28 2006 Gtz Waschk <waschk@mandriva.org> 1.1.5-1mdv2007.0
- add planetmandriva to default feeds
- patch to fix build
- New version 1.1.5

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.1.4-2mdv2007.0
- Rebuild with latest firefox

* Mon Sep 11 2006 Gtz Waschk <waschk@mandriva.org> 1:1.1.4-1mdv2007.0
- New version 1.1.4

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.2-1mdv2007.0
- New release 1.1.2

* Mon Aug 21 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- New release 1.1.1

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- fix buildrequires

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- update file list
- rediff the patch
- New release 1.1.0

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 1.0.21-1mdv2007.0
- rediff the patch
- new version

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 1.0.20-1mdv2007.0
- depend on the exact firefox version
- drop patch 0
- New release 1.0.20

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.19-1mdv2007.0
- New release 1.0.19

* Sat Jul 22 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.18-1
- New release 1.0.18

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 1:1.0.17-1mdv2007.0
- new macros
- xdg menu
- New release 1.0.17

* Mon Jun 26 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.16-1
- New release 1.0.16

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 1.0.15-1mdv2007.0
- drop patch 2
- New release 1.0.15

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 1.0.14-1mdv2007.0
- patch 2: fix build
- New release 1.0.14

* Wed May 17 2006 Pascal Terjan <pterjan@mandriva.org> 1:1.0.13-1mdk
- New release 1.0.13

* Sun May  7 2006 Gtz Waschk <waschk@mandriva.org> 1.0.12-1mdk
- update patch 1
- New release 1.0.12

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.11-1mdk
- New release 1.0.11

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 1.0.10-1mdk
- update patch 0
- New release 1.0.10

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdk
- New release 1.0.9

* Sun Mar 19 2006 Gtz Waschk <waschk@mandriva.org> 1.0.8-1mdk
- update patch 0
- New release 1.0.8

* Mon Mar 6 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0.7-1mdk
- 1.0.7

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 1.0.6-1mdk
- New release 1.0.6

* Tue Feb 21 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0.5-1mdk
- 1.0.5

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Wed Feb 01 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Wed Jan 25 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0.2.1mdk
- 1.0.2

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- firefox build fix
- New release 1.0.1

* Fri Dec 23 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1:1.0-1mdk
- 1.0
- add Epoch

* Thu Nov 24 2005 Gtz Waschk <waschk@mandriva.org> 1.0-1.RC4.2mdk
- reenable gtkhtml

* Fri Nov 18 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0-1.RC4.1mdk
- 1.0 RC4
- rediff P0

* Sat Nov  5 2005 Gtz Waschk <waschk@mandriva.org> 1.0-1.RC3.1mdk
- new version

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 1.0-0.RC2.3mdk
- rebuild for new dbus

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 1.0-0.RC2.2mdk
- fix buildrequires

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 1.0-0.RC2.1mdk
- fix buildrequires
- disable gtkhtml2 backend, doesn't build
- new version

* Mon Oct  3 2005 Gtz Waschk <waschk@mandriva.org> 1.0-0.RC1.1mdk
- update patch 0
- new version

* Mon Sep 26 2005 Gtz Waschk <waschk@mandriva.org> 0.9.7b-4mdk
- fix mozilla detection again

* Mon Sep 26 2005 Gtz Waschk <waschk@mandriva.org> 0.9.7b-3mdk
- fix mozilla detection

* Thu Sep 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.7b-2mdk
- Fix schema uninstall

* Sun Sep 04 2005 Götz Waschk <waschk@mandriva.org> 0.9.7b-1mdk
- New release 0.9.7b

* Tue Aug 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7a-1mdk
- New release 0.9.7a

* Tue Aug 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdk
- New release 0.9.7

* Tue Aug 16 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- New release 0.9.6

* Sun Jul 31 2005 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdk
- update patches
- new version

* Tue May 17 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.9.2-1mdk
- 0.9.2
- use mkrel macro 

* Sun Mar 13 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-2mdk
- update P0 to find installation mozilla-firefox as first

* Sun Mar 13 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.1-1mdk
- 0.9.1
- adjust requirements for mozilla-firefox
- quick patch for configure which allow detect mozilla-firefox

* Sun Feb 20 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.0b-2mdk
- requires glib-2.6

* Wed Jan 19 2005 Jerome Soyer <saispo@mandrake.org> 0.9.0b-1mdk
- New release 0.9.0b

* Sat Jan 15 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Tue Nov 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Fri Nov 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- New release 0.6.3

* Sun Nov 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- fix source URL
- New release 0.6.2

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- fix mozilla detection in the startup script

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- small spec cleanup
- drop patches
- New release 0.6.1

* Fri Oct 15 2004 Jerome Soyer <saispo@mandrake.org> 0.6.0-3mdk
- Fix program icons

* Mon Sep 20 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.6.0-2mdk
- don't package *.la files
- install gconf schemas at install time instead build time

* Wed Sep 15 2004 Jerome Soyer <saispo@mandrake.org> 0.6.0-1mdk
- New release
- Remove patch1

* Wed Sep 01 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3c-2mdk
- remove zero-length file

* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3c-1mdk
- 0.5.3c

* Tue Aug 31 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3c-1mdk
- New release

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.5.3b-1mdk
- 0.5.3b
- fix some bugs

* Tue Aug 17 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.3-1mdk
- 0.5.3
- added default xml configs and schemas
- added P10 which fixed missing comma in array of months

* Tue Aug 3 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2c-1mdk
- 0.5.2c
- removed P3

* Tue Jul 27 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-3mdk
- fixed slovak translation

* Mon Jul 26 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-2mdk
- added P3 to fix problem with compressed favicon

* Fri Jul 23 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Thu Jul 1 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.1-1mdk
- 0.5.1
- drop external slovak translation, merged into project

* Sun Jun 20 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.5.0-1mdk
- new version
- drop P3
- added slovak translation
- package man page too

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 0.4.9-2mdk
- Rebuild with new gcc

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 0.4.9-1mdk
- New version
- Drop P0 (upstream)
- Regen P3

* Sat May 08 2004 Abel Cheung <deaddog@deaddog.org> 0.4.8-1mdk
- New version
- Regenerate P0
- Patch3: Fix bad translations

* Sun May 02 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7d-1mdk
- New version
- Update patch1 to autodetect mozilla version
- Patch2: Add missing mozilla header dir to search for (ugly)

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7c-2mdk
- Fix patch1 to set MOZILLA_FIVE_HOME correctly (thanks to
  Jorge Enrique Gomez G.  jegomez<AT>agofer<DOT>com<DOT>co)

* Thu Apr 22 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7c-1mdk
- New version
- Patch0: build modules without version
- Patch1: set mozilla home correctly

* Sat Mar 13 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6e-1mdk
- New version

* Tue Mar 02 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6c-1mdk
- New version

* Wed Jan 21 2004 Abel Cheung <deaddog@deaddog.org> 0.4.6b-1mdk
- First Mandrake package
